<?php

namespace App\Providers;

use Illuminate\Support\ServiceProvider;
use Inertia\Inertia;

use App\Helpers\PageSettingsHelper;

class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     */
    public function register(): void {
        //
    }

    /**
     * Bootstrap any application services.
     */
    public function boot(): void {
        Inertia::share([
            'pageSettings' => function () {
                return PageSettingsHelper::pageSettings();
            },
            'siteName' => function () {
                return config('app.name');
            },
        ]);
    }
}
